#!/bin/bash
# Build tinyWRAP for Google Android Systems

for project in tinySAK tinyNET tinyHTTP tinyXCAP tinyIPSec tinySMS tinySIGCOMP tinySDP tinyMSRP tinyMEDIA tinyRTP tinyDAV tinySIP
#for project in
do
	echo -e building "$project with parameters=$@\n"
	make PROJECT=$project clean
	make PROJECT=$project BT=static $@ all
done

echo building middleware....
make PROJECT=middleware clean
make PROJECT=middleware BT=shared LT=static $@ all
